package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.biz.dal.entity.PhotoAlbum;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface PhotoAlbumDao extends BaseDAO<Integer, PhotoAlbum> {


    List<Map<Integer,Long>> countTotalNumByAlbumIds(@Param("albumIds") List<Integer> albumIds, @Param("clientShow") YesOrNoEnum clientShow);

    PhotoAlbum findByTypeAndGroupId(@Param("musicGroupId") String musicGroupId, @Param("type") String type);

    void batchUpdate(@Param("photoAlbumList") List<PhotoAlbum> photoAlbumList);

    void deleteByIds(@Param("ids") String ids);
}